{% extends 'base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('configuration/survey_result/survey_result_chapter/delete') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('configuration/survey_result/survey_result_chapter/delete') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        <a href="{{ path('configuration_survey_result_survey_result_chapter_edit', {'surveyResultId': surveyResultChapter.getSurveyResult().getId(), 'surveyResultChapterId': surveyResultChapter.getId()}) }}" class="me-2 d-flex align-items-center text-decoration-none"><i class="material-icons md-36">arrow_back</i></a>
        <span class="text-primary fs-5 align-self-center">Kapitel {{ surveyResultChapter.getTitle() }} löschen</span>
        {{ form_widget(surveyResultChapterDeleteForm.delete, {'label': 'LÖSCHEN', 'id': surveyResultChapterDeleteForm.delete.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button delete-button mdc-button--raised mdc-button--leading ms-auto align-self-center'}}) }}
    </div>
{% endblock %}

{% block main %}
    <div class="container-lg mt-4">
        <div class="mdc-card p-3 mb-4">
            <h1 class="fs-4 d-flex align-items-center">
                <span class="material-icons me-2 text-danger">warning_amber</span>
                Das Kapitel mit dem zugehörigen Bild und Dokument wird unwiderruflich gelöscht.
            </h1>
            <p>
                Um das Kapitel endgültig zu löschen, müssen Sie zuerst den folgenden Code eingeben:
                <span class="delete-code">kapitel_{{ surveyResultChapter.getId() }}</span>
            </p>
            {{ form_start(surveyResultChapterDeleteForm, {'attr': {'id': surveyResultChapterDeleteForm.vars.id ~ '_form'}}) }}
            {% include 'configuration/form/survey_result/delete_form.html.twig' with {'form': surveyResultChapterDeleteForm} only %}
            {{ form_row(surveyResultChapterDeleteForm._token) }}
            {{ form_end(surveyResultChapterDeleteForm, {'render_rest': false}) }}
        </div>
    </div>
{% endblock %}
